Subject: bug#39707: dired-sort-toggle-or-edit sometimes wastes the whole bottom of the screen

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 05 Aug 2020 14:41:18 +0200

積丹尼 Dan Jacobson <[email-masked]> writes:

> s runs the command dired-sort-toggle-or-edit
>
> It is great, except sometimes it wastes the whole bottom half of the
> screen, with emptiness.
>
> mkdir z
> cd z
> for i in `seq 200 299`
> do
> 	touch -d "now + $i seconds" $i
> done
> emacs -nw -q .
>
> Now hit "s". Isn't it terrible how the whole bottom of the screen is
> empty when it need not be?

It just does the normal "Emacs jumps to a different place in the buffer"
action, as far as I can see, which means that it puts the target line
somewhere towards the middle of the buffer.

If the target line is the final line in the buffer, there'll be some
empty space towards the end of the buffer.  So I think dired is behaving
consistently with how Emacs normally works, and changing the behaviour
here would be surprising.  So I'm closing this bug report. 

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no